# Generated by Django 2.2.7 on 2020-02-06 17:49

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import sorl.thumbnail.fields
import utils.methods


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('gallery', '0008_merge_20191212_0752'),
    ]

    operations = [
        migrations.AddField(
            model_name='image',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='image_records_created', to=settings.AUTH_USER_MODEL, verbose_name='created by'),
        ),
        migrations.AddField(
            model_name='image',
            name='is_public',
            field=models.BooleanField(default=False, verbose_name='Is media source public'),
        ),
        migrations.AddField(
            model_name='image',
            name='link',
            field=models.URLField(blank=True, default=None, null=True, verbose_name='mp4 or youtube video link'),
        ),
        migrations.AddField(
            model_name='image',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='image_records_modified', to=settings.AUTH_USER_MODEL, verbose_name='modified by'),
        ),
        migrations.AddField(
            model_name='image',
            name='order',
            field=models.PositiveIntegerField(default=0, verbose_name='Sorting order'),
        ),
        migrations.AddField(
            model_name='image',
            name='preview',
            field=sorl.thumbnail.fields.ImageField(default=None, max_length=255, null=True, upload_to=utils.methods.image_path, verbose_name='image preview'),
        ),
        migrations.AlterField(
            model_name='image',
            name='image',
            field=sorl.thumbnail.fields.ImageField(default=None, max_length=255, null=True, upload_to=utils.methods.image_path, verbose_name='image file'),
        ),
    ]
